.wpcf7 br,
.wpcf7-spinner{
    display: none;
}

.wpcf7 form{
    display: flex;
    flex-direction: column;
    gap: 22px;
    max-width: 480px;
}

.wpcf7 form p{
    width: 100%;
}

.wpcf7 form p label{
    display: flex;
    flex-direction: column;
    gap: 8px;
    font-size: 16px;
    line-height: 24px;
    font-weight: normal;
}

.wpcf7 form p label,
.wpcf7 form p label *{
    width: 100%;
}

.wpcf7 form p label span.info {
    margin-top: -8px;
}

.wpcf7 form p label input,
.wpcf7 form p label textarea,
.wpcf7 form p label select{
    display: block;
    outline: none;
    border: solid 1px var(--secondary);
    border-radius: 4px;
    resize: none;
    padding: 12px;
}

.wpcf7 form p label input,
.wpcf7 form p label textarea,
.wpcf7 form p label select,
.wpcf7 form p label select option,
.wpcf7 form p label input::placeholder,
.wpcf7 form p label textarea::placeholder,
.wpcf7 form p label select::placeholder,
.wpcf7 form p label select option::placeholder{
    font-size: 16px;
}

.wpcf7 form p label input:focus,
.wpcf7 form p label textarea:focus,
.wpcf7 form p label select:focus{
    border: solid 2px var(--primary);
}

.wpcf7 form p label .wpcf7-form-control-wrap{
    position: relative;
}

.wpcf7 form p label .wpcf7-form-control-wrap::after{
    content: "Optionnel";
    height: fit-content;
    width: fit-content;
    display: block;
    position: absolute;
    font-size: 14px;
    line-height: 16px;
    right: 0px;
    top: -25px;
    color: #545D63;
}

.wpcf7 form p label .wpcf7-form-control-wrap:has(input[aria-required="true"])::after,
.wpcf7 form p label .wpcf7-form-control-wrap:has(textarea[aria-required="true"])::after,
.wpcf7 form p label .wpcf7-form-control-wrap:has(select[aria-required="true"])::after{
    display: none;
}

.wpcf7 form p label textarea{
    height: 170px;
}

.wpcf7-not-valid-tip{
    font-size: 14px;
    margin-top: 2px;
    color: #dc3232;
}

.wpcf7 form .wpcf7-submit{
    width: 100%;
    cursor: pointer;
}

.wpcf7 form.invalid .wpcf7-response-output, 
.wpcf7 form.unaccepted .wpcf7-response-output, 
.wpcf7 form.payment-required .wpcf7-response-output{
    border: solid 1px #dc3232 !important;
    font-size: 16px;
    line-height: 22px;
    padding: 12px 25px;
    margin: 0px;
}

/* Empêcher la soumission en double de formulaire */

.wpcf7-form.submitting .wpcf7-submit {
    pointer-events: none;
    opacity: 0.7;
    cursor: wait;
}